# Enumeration: AppleCredentialState

## Table of contents

### Enumeration members

- [AUTHORIZED](AppleCredentialState.md#authorized)
- [NOT\_FOUND](AppleCredentialState.md#not_found)
- [REVOKED](AppleCredentialState.md#revoked)
- [TRANSFERRED](AppleCredentialState.md#transferred)

## Enumeration members

### AUTHORIZED

• **AUTHORIZED** = `1`

The Opaque user ID is in good state.

#### Defined in

[index.d.ts:216](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L216)

___

### NOT\_FOUND

• **NOT\_FOUND** = `2`

The Opaque user ID was not found.

#### Defined in

[index.d.ts:221](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L221)

___

### REVOKED

• **REVOKED** = `0`

The Opaque user ID was revoked by the user.

#### Defined in

[index.d.ts:211](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L211)

___

### TRANSFERRED

• **TRANSFERRED** = `3`

N/A

**`url`** https://developer.apple.com/documentation/authenticationservices/asauthorizationappleidprovidercredentialstate/asauthorizationappleidprovidercredentialtransferred?language=objc

#### Defined in

[index.d.ts:228](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L228)
