# Interface: AppleRequestResponseFullName

An optional full name shared by the user.

These fields are populated with values that the user authorized.

## Table of contents

### Properties

- [familyName](AppleRequestResponseFullName.md#familyname)
- [givenName](AppleRequestResponseFullName.md#givenname)
- [middleName](AppleRequestResponseFullName.md#middlename)
- [namePrefix](AppleRequestResponseFullName.md#nameprefix)
- [nameSuffix](AppleRequestResponseFullName.md#namesuffix)
- [nickname](AppleRequestResponseFullName.md#nickname)

## Properties

### familyName

• **familyName**: ``null`` \| `string`

Name passed from one generation to another to indicate lineage, e.g. Appleseed

#### Defined in

[index.d.ts:311](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L311)

___

### givenName

• **givenName**: ``null`` \| `string`

Name bestowed upon an individual by one's parents, e.g. Johnathan

#### Defined in

[index.d.ts:301](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L301)

___

### middleName

• **middleName**: ``null`` \| `string`

Secondary given name chosen to differentiate those with the same first name, e.g. Maple

#### Defined in

[index.d.ts:306](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L306)

___

### namePrefix

• **namePrefix**: ``null`` \| `string`

Pre-nominal letters denoting title, salutation, or honorific, e.g. Dr., Mr.

#### Defined in

[index.d.ts:296](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L296)

___

### nameSuffix

• **nameSuffix**: ``null`` \| `string`

Post-nominal letters denoting degree, accreditation, or other honor, e.g. Esq., Jr., Ph.D.

#### Defined in

[index.d.ts:316](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L316)

___

### nickname

• **nickname**: ``null`` \| `string`

Name substituted for the purposes of familiarity, e.g. "Johnny"

#### Defined in

[index.d.ts:321](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L321)
